Subject: Bug#1225: [X2Go-Dev] Bug#1225: Windows x2go client ignores ProxyJump

From: Ulrich Sibiller <[email-masked]>
Date: Mon, 27 Jul 2020 12:34:46 +0200

Hi,

I know all this libssh stuff is very frustrating. I have a setup where
libssh 0.9.3 just does not work and no one bothers to build a
x2goclient with the current libssh release (I neither have a windows
compilation setup nor am I doing packaging). However, I have seen a
branch by Mihai (ionic) somewhere (cannot find it right now) where he
seems to have started a version of x2goclient that uses openssh
instead of libssh. Maybe you can ask him for a beta version or support
him in testing.

Uli

On Mon, Jul 27, 2020 at 12:26 PM Carsten Bockelmann
<[email-masked]> wrote:
>
> Package: x2goclient
>
> Version: 4.1.2.2-2020.02.13
>
>
>
> Similiar to this old bug https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1225 ProxyJump is ignored under windows.
>
>
>
> However, the underlying libssh 0.9.3 now supports ProxyJump and at least in ubuntu 20.04 it works out of the box. This is especially frustrating as host certificates are not supported in libssh which currently blocks any config in x2goclient that directly configures the bastion host as proxy (kex exchange method unsupported).
>
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev